snd_dma_program
Prev | Chapter 22. Sound Devices | Next

## Name

snd_dma_program — program an ISA DMA transfer

## Synopsis

`void snd_dma_program (` | unsigned long | dma,
| unsigned long | addr,
| unsigned int | size,
| unsigned short | mode`)`;

## Arguments

`dma`

  the dma number

`addr`

  the physical address of the buffer

`size`

  the DMA transfer size

`mode`

  the DMA transfer mode, DMA_MODE_XXX

## Description

Programs an ISA DMA transfer for the given buffer.

Prev | Up | Next
snd_power_wait | Home | snd_dma_disable